#Run these lines of code
#Removes any previous backup and edit files
if (Test-Path "C:\ProgramData\N-Able Technologies\AutomationManager\upgrade.config.bak") {Remove-Item "C:\ProgramData\N-Able Technologies\AutomationManager\upgrade.config.bak"}
if (Test-Path "C:\ProgramData\N-Able Technologies\AutomationManager\upgrade.config.edit") {Remove-Item "C:\ProgramData\N-Able Technologies\AutomationManager\upgrade.config.edit"}

#Make a backup of the config file and one to edit
Copy-Item -Path "C:\ProgramData\N-Able Technologies\AutomationManager\upgrade.config" -Destination "C:\ProgramData\N-Able Technologies\AutomationManager\upgrade.config.bak"
#Copy-Item -Path "C:\ProgramData\N-Able Technologies\AutomationManager\upgrade.config" -Destination "C:\Temp\upgrade.config.edit"

#Removes prior downloaded zip files if they exist
if (Test-Path "C:\Temp\AutomationManager-Binaries.zip") {Remove-Item "C:\Temp\AutomationManager-Binaries.zip"}

#Download zip file
Invoke-WebRequest -Uri "https://sis.n-able.com/Components/AutomationManagerEngine/2.60.0.3/AutomationManager-Binaries.zip" -OutFile "C:\Temp\AutomationManager-Binaries.zip"

#Deleted unzip folder if it exist
if (Test-Path "C:\Temp\2.60.0.3") {Remove-Item "C:\Temp\2.60.0.3" -Force -Recurse}

#Extracts the contents of the zip file to the folder
Expand-Archive "C:\Temp\AutomationManager-Binaries.zip" -DestinationPath C:\Temp\2.60.0.3

#If 2.60.0.3_OLD folder exist, delete it.
if (Test-Path "C:\Program Files (x86)\N-Able Technologies\AutomationManagerEngine\2.60.0.3_OLD") {Remove-Item "C:\Program Files (x86)\N-Able Technologies\AutomationManagerEngine\2.60.0.3_OLD" -Force -Recurse}

#Stops the services
Stop-Service -Name "Windows Agent Service"
(Get-Service "Windows Agent Service").WaitForStatus('Stopped')
Stop-Service -Name "AutomationManagerAgent"
(Get-Service "AutomationManagerAgent").WaitForStatus('Stopped')

#If folder 2.60.0.3 exist, it gets renamed to .OLD as a backup
if(Test-Path "C:\Program Files (x86)\N-Able Technologies\AutomationManagerEngine\2.60.0.3"){Rename-Item -Path "C:\Program Files (x86)\N-Able Technologies\AutomationManagerEngine\2.60.0.3" -NewName "C:\Program Files (x86)\N-Able Technologies\AutomationManagerEngine\2.60.0.3_OLD"}

#Copies the extracted 2.60.0.3 folder to the N-Central folder
Copy-Item -Path "C:\Temp\2.60.0.3" -Destination "C:\Program Files (x86)\N-Able Technologies\AutomationManagerEngine\2.60.0.3" -Recurse

#Copy download upgrade.config.edit and saves to proper folder
#Copy-Item -Path "C:\Temp\upgrade.config.edit" -Destination "C:\ProgramData\N-Able Technologies\AutomationManager\upgrade.config"
Invoke-WebRequest -Uri "https://atlanticofficetechnologies.com/tools/misc/upgrade.config" -OutFile "C:\ProgramData\N-Able Technologies\AutomationManager\upgrade.config"

#Starts services
Start-Service -Name "Windows Agent Service"
Start-Service -Name "AutomationManagerAgent"